ResourceCategoryItem (gCube VRE Deploy Wizard Portlet 3.3.0-3.4.0 API)
Date: 2014-10-01

org.gcube.portlets.admin.vredeployer.shared

## Class ResourceCategoryItem

- java.lang.Object
- - org.gcube.portlets.admin.vredeployer.shared.ResourceCategoryItem

- All Implemented Interfaces:
    Serializable

      public class ResourceCategoryItem
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceCategoryItem()`
    `ResourceCategoryItem(String id, String name, String description, boolean isSelected)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()`
    `String` | `getId()`
    `String` | `getName()`
    `boolean` | `isSelected()`
    `void` | `setDescription(String description)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setSelected(boolean isSelected)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceCategoryItem

          public ResourceCategoryItem()

    - #### ResourceCategoryItem

          public ResourceCategoryItem(String id,
                              String name,
                              String description,
                              boolean isSelected)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### isSelected

          public boolean isSelected()

    - #### setSelected

          public void setSelected(boolean isSelected)

Copyright © 2014. All Rights Reserved.